import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class SizeScaleDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private i;
    get minimumValue(): number;
    set minimumValue(a: number);
    private h;
    get maximumValue(): number;
    set maximumValue(a: number);
    private f;
    get isLogarithmic(): boolean;
    set isLogarithmic(a: boolean);
    private l;
    get logarithmBase(): number;
    set logarithmBase(a: number);
    private n;
    get propertyUpdatedRef(): string;
    set propertyUpdatedRef(a: string);
}
